Home | All Classes | Grouped Classes | Index | Search

# CL_ResourceManager::get_all_resources

Returns a list of all resources available. Returns a list of all resources available matching a given section.

    	std::vector<std::string> get_all_resources();

    	std::vector<std::string> get_all_resources(
    		const std::string& section_name);

Return value:

The list of resources available, in the form [section/subsection/.../]resourcename.The list of resources available, in the form [section/subsection/.../]resourcename.

See also:

CL_ResourceManager

Questions or comments, write to the ClanLib mailing list.